Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## rdlc.hw
Class ModuleParameter

    java.lang.Object
      rdlc.rdl.Field_Named
          rdlc.hw.ModuleParameter

All Implemented Interfaces:
  Expression, Field

    public class ModuleParameter

extends Field_Named

Abstraction of module parameter. Can be local or overridable, has an expression which gives it's value.

Version:
  $Revision: 1.6 $
Author:
  Greg Gibeling

Nested Class Summary

Nested classes/interfaces inherited from interface rdlc.rdl.Expression
`Expression.Phase`

Field Summary
`protected boolean` | `local` Is this a local parameter? (As opposed to one which can be hierarchically overriden when the parent module is instantiated)
`protected Expression` | `value` The expression which at runtime determines the default value of this parameter.

Fields inherited from class rdlc.rdl.Field_Named
`iName, instance, namespace, rawDynamicID`

Constructor Summary
`ModuleParameter(java.lang.String _name, Instance _instance, Expression _value, boolean _local)` Simple constructor, merely records the given values.
`ModuleParameter(java.lang.String _name, Instance _instance, int _value, boolean _local)` Simple constructor, merely records the given values.

Method Summary
`Field` | `copy(java.lang.String _name, Instance _instance)` Create a copy of this field in the given instance.
`Expression` | `getValue()` Simple accessor.
`boolean` | `isLocal()` Simple accessor.
`java.lang.String` | `toString()` Simple accessor.

Methods inherited from class rdlc.rdl.Field_Named
`getIdentifier, getRawDynamicID, getRequirements, resolve, setInstance, setNamespace, setRawDynamicID, typeMatch`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### value

    protected Expression value

  The expression which at runtime determines the default value of this parameter.

### local

    protected boolean local

  Is this a local parameter? (As opposed to one which can be hierarchically overriden when the parent module is instantiated)

Constructor Detail

### ModuleParameter

    public ModuleParameter(java.lang.String _name,
                           Instance _instance,
                           int _value,
                           boolean _local)

  Simple constructor, merely records the given values.

  Parameters:
    `_name` - The name of this parameter.
    `_instance` - The module instance to which this parameter should belong.
    `_value` - The default value for this parameter.
    `_local` - Is this a local parameter?

### ModuleParameter

    public ModuleParameter(java.lang.String _name,
                           Instance _instance,
                           Expression _value,
                           boolean _local)

  Simple constructor, merely records the given values.

  Parameters:
    `_name` - The name of this parameter.
    `_instance` - The module instance to which this parameter should belong.
    `_value` - The default value expression for this parameter.
    `_local` - Is this a local parameter?

Method Detail

### copy

    public Field copy(java.lang.String _name,
                      Instance _instance)

  Description copied from interface: `Field`
  Create a copy of this field in the given instance. This is highly useful during dynamic hierarchy copying and during back end generation.

  Parameters:
    `_name` - The new name to use.
    `_instance` - The instance the copy should be a member of.
  See Also:
    `Field.copy(String, Instance)`

### toString

    public java.lang.String toString()

  Simple accessor.

  Overrides:
    `toString` in class `Field_Named`
  Returns:
    A human readable representation of this parameter for debugging.

### getValue

    public Expression getValue()

  Simple accessor.

  Returns:
    The expression which determines the default value of this parameter.

### isLocal

    public boolean isLocal()

  Simple accessor.

  Returns:
    `true` if this is a local (non-overrideable) parameter.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD